using Furion.JsonSerialization;
using YBEE.EQM.Core;

namespace YBEE.EQM.Application;

public class RoleMapper : IRegister
{
    public void Register(TypeAdapterConfig config)
    {
        config.ForType<SysRole, SysRoleOutput>().Map(d => d.RoleDataScope, s => JSON.Deserialize<RoleDataScope>(s.RoleDataScope, null));
    }
}
